SUBROUTINE efndcnter( nbasis, Evc, ndcnt )
  USE FiniteElements
  implicit none

!! This subroutine calculates the number of nodes in the ground state eigenfunction
!!     for a given l

INTEGER, INTENT(OUT) :: ndcnt
INTEGER :: nbasis
INTEGER :: i, j, nxtnt
REAL(kind=8) :: n, Evc(nbasis)

nxtnt=0
ndcnt=0
  
         DO i =  nbasis-4, 3, -3
           IF ( abs( Evc(i) ) > 1.d-12 ) THEN
             nxtnt=i
             EXIT
           END IF
         END DO
      
         DO j = 6, nxtnt, 3
           IF ( Evc(j)*Evc((j-3))<0.d0 ) THEN
             ndcnt = ndcnt+1
           END IF
         END DO
      

RETURN
END SUBROUTINE efndcnter



